#include "cdefs.h"
#include "mem.h"
extern cptr object_methods[meth_max];
extern cptr list_methods[meth_max];
extern cptr slist_methods[meth_max];
extern cptr plist_methods[meth_max];
#include "cint.h"
extern cptr boolean_methods[meth_max];
extern cptr strpool_methods[meth_max];

extern cint boolean_True;
extern cint object_Undefined;
extern cint boolean_False;
extern cint strpool_str_45;


cptr ulist_methods[meth_max];

cint ulist_alloc(cint ulist_self, cint ulist_siz){
  cint ulist_result;
  cint t1, t2;
  t2 = list_alloc((cint)ulist_self);
  ulist_result = t2;
  ((cptr)ulist_self)[5] /* representation*/ = strpool_str_45;
  ((cptr)ulist_self)[3] /* len*/ = ulist_siz;
  t1 = ulist_result;
  goto t1_label;
  t1_label: return t1;
}

cint ulist_reclaim(cint ulist_self){
  cint t3;
  list_reclaim((cint)ulist_self);
  t3_label: return t3;
}

cint ulist_Contains(cint ulist_self, cint ulist_ob){
  cint ulist_result;
  cint t4, t5;
  ulist_result = boolean_False;
  t5 = ulist_ob == object_Undefined;
  if (t5){
    ulist_result = boolean_True;
  };
  object_Dec_ref(ulist_self);
  object_Dec_ref(ulist_ob);
  t4 = ulist_result;
  goto t4_label;
  t4_label: return t4;
}

cint ulist_lookup(cint ulist_self, cint ulist_i){
  cint ulist_result;
  cint t6;
  t6 = object_Undefined;
  goto t6_label;
  t6_label: return t6;
}

void init_ulist(){
  copy_meth_table(ulist_methods, list_methods);
  ulist_methods[0] = 32;
  ulist_methods[3] = ulist_alloc;
  ulist_methods[4] = ulist_reclaim;
  ulist_methods[20] = ulist_Contains;
  ulist_methods[62] = ulist_lookup;
}
